Php 5.3 Zend/Ioncube ZenGuard

pucky

Verified User
Joined
Sep 9, 2006
Messages
795
Is anyone here still running FreeBSD 6.2? Im having a whale of a time trying to install Zend. After upgrading to 5.3 i have to do the installation for both Zend and Ioncube maually as custombuild fails.

Custombuild reports;
# /usr/local/directadmin/custombuild > ./build zend
File already exists: ZendOptimizer-3.3.3-freebsd6.0-i386.tar.gz
Zend Guard loader does not support FreeBSD.

But i though Zendguard works on FreeBSD. So nobody is running Zendguard on any version of Freebsd? All FreeBSD users running v5.2?

If i install it manaully i get the following error;
Failed loading /usr/local/lib/ZendGuardLoader.so: Shared object
"libdl.so.2" not found, required by "ZendGuardLoader.so"

Is there a solution? Installing Ioncube works if you install it as a zend extension but Zend hiccups all over the place.

Solution?
 

pucky

Verified User
Joined
Sep 9, 2006
Messages
795
Right, Ioncube works fine. Zend does not. Maybe ill have to move my zend sites to another server. Only solution i see other than blowing away the installation and going to CentOS again.
 
Top